Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(25)

Issue 2704443006: Make time_to_first_suspension's default 1800sec (Closed)

Created:
9 months, 1 week ago by tasak
Modified:
9 months ago
Reviewers:
haraken, chrisha, Wez
CC:
chromium-reviews
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Make time_to_first_suspension's default 1800sec BUG=635419 Review-Url: https://codereview.chromium.org/2704443006 Cr-Commit-Position: refs/heads/master@{#452401} Committed: https://chromium.googlesource.com/chromium/src/+/1d0df94f561379e580d9f0a1999ea9fc1b52f5ff

Patch Set 1 #

Total comments: 4

Patch Set 2 : Modified unittest to test default value #

Total comments: 6

Patch Set 3 : Fixed. #

Total comments: 6

Patch Set 4 : Fixed. #

Total comments: 2

Patch Set 5 : Fixed style. #

Messages

Total messages: 39 (22 generated)
tasak
Would you review this CL?
9 months, 1 week ago (2017-02-17 06:38:23 UTC) #7
haraken
LGTM
9 months, 1 week ago (2017-02-17 06:56:40 UTC) #8
Wez
It's a shame we don't have any tests that would have caught this, but I ...
9 months, 1 week ago (2017-02-17 07:39:17 UTC) #9
tasak
Thank you for review. >It's a shame we don't have any tests that would have ...
9 months, 1 week ago (2017-02-17 12:36:06 UTC) #12
Wez
https://codereview.chromium.org/2704443006/diff/1/chrome/browser/memory/tab_manager.cc File chrome/browser/memory/tab_manager.cc (right): https://codereview.chromium.org/2704443006/diff/1/chrome/browser/memory/tab_manager.cc#newcode233 chrome/browser/memory/tab_manager.cc:233: time_to_first_suspension_sec = 1800; On 2017/02/17 12:36:06, tasak wrote: > ...
9 months, 1 week ago (2017-02-17 19:03:14 UTC) #15
Wez
https://codereview.chromium.org/2704443006/diff/1/chrome/browser/memory/tab_manager.cc File chrome/browser/memory/tab_manager.cc (right): https://codereview.chromium.org/2704443006/diff/1/chrome/browser/memory/tab_manager.cc#newcode233 chrome/browser/memory/tab_manager.cc:233: time_to_first_suspension_sec = 1800; On 2017/02/17 19:03:14, Wez wrote: > ...
9 months, 1 week ago (2017-02-17 19:26:32 UTC) #16
tasak
I found Tabs.StateTransfer.Time_Inactive_Active. Looking at the data, 94% of users activate inactive tabs within 30 ...
9 months, 1 week ago (2017-02-20 07:07:15 UTC) #19
haraken
wez@: Would you review this CL? We want to land this and collect numbers :)
9 months ago (2017-02-22 00:32:07 UTC) #22
Wez
On 2017/02/22 00:32:07, haraken wrote: > wez@: Would you review this CL? We want to ...
9 months ago (2017-02-22 01:19:19 UTC) #23
Wez
LGTM w/ a couple of suggestions. :) https://codereview.chromium.org/2704443006/diff/40001/chrome/browser/memory/tab_manager.h File chrome/browser/memory/tab_manager.h (right): https://codereview.chromium.org/2704443006/diff/40001/chrome/browser/memory/tab_manager.h#newcode184 chrome/browser/memory/tab_manager.h:184: static const ...
9 months ago (2017-02-22 01:25:10 UTC) #24
tasak
Thank you for review. https://codereview.chromium.org/2704443006/diff/40001/chrome/browser/memory/tab_manager.h File chrome/browser/memory/tab_manager.h (right): https://codereview.chromium.org/2704443006/diff/40001/chrome/browser/memory/tab_manager.h#newcode184 chrome/browser/memory/tab_manager.h:184: static const int kDefaultTimeToFirstPurgeInSeconds = ...
9 months ago (2017-02-22 04:18:46 UTC) #25
tasak
chrisha@, would you review this CL?
9 months ago (2017-02-22 04:19:37 UTC) #26
Wez
https://codereview.chromium.org/2704443006/diff/60001/chrome/browser/memory/tab_manager.cc File chrome/browser/memory/tab_manager.cc (right): https://codereview.chromium.org/2704443006/diff/60001/chrome/browser/memory/tab_manager.cc#newcode231 chrome/browser/memory/tab_manager.cc:231: unsigned time_to_first_purge_sec; nit: Even though this is about to ...
9 months ago (2017-02-22 17:57:55 UTC) #27
chrisha
lgtm beyond Wez's nits.
9 months ago (2017-02-23 01:39:10 UTC) #28
tasak
Thank you for review. https://codereview.chromium.org/2704443006/diff/60001/chrome/browser/memory/tab_manager.cc File chrome/browser/memory/tab_manager.cc (right): https://codereview.chromium.org/2704443006/diff/60001/chrome/browser/memory/tab_manager.cc#newcode231 chrome/browser/memory/tab_manager.cc:231: unsigned time_to_first_purge_sec; On 2017/02/22 17:57:55, ...
9 months ago (2017-02-23 02:37:54 UTC) #31
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2704443006/80001
9 months ago (2017-02-23 05:06:52 UTC) #36
commit-bot: I haz the power
9 months ago (2017-02-23 05:13:36 UTC) #39
Message was sent while issue was closed.
Committed patchset #5 (id:80001) as
https://chromium.googlesource.com/chromium/src/+/1d0df94f561379e580d9f0a1999e...

Powered by Google App Engine
This is Rietveld efc10ee0f